Module ModułRysowania

    Public Sub OtwórzObraz()
        Try
            ' Wyświetlenie okna do otwierania pliku
            If FormularzPrzeglądarki.dialogWybierzObraz.ShowDialog = DialogResult.OK Then
                ' Załadowanie obrazu do kontrolki PictureBox
                FormularzPrzeglądarki.obrazPokażObraz.Image =
                    Image.FromFile(FormularzPrzeglądarki.dialogWybierzObraz.FileName)
                ' Wyświetlenie nazwy pliku w pasku stanu
                FormularzPrzeglądarki.pasekstanuMójPasek.Items(0).Text =
                    FormularzPrzeglądarki.dialogWybierzObraz.FileName
            End If
        Catch ex As System.OutOfMemoryException
            MessageBox.Show("Wybrany plik nie jest obrazem.")
        End Try

    End Sub

    Public Sub RysujRamkę(ByRef obiektObraz As PictureBox)
        Dim obiektGrafika As Graphics
        obiektGrafika = obiektObraz.Parent.CreateGraphics
        obiektGrafika.Clear(System.Drawing.SystemColors.Control)
        obiektGrafika.DrawRectangle(System.Drawing.Pens.Blue, obiektObraz.Left - 1,
            obiektObraz.Top - 1,
            obiektObraz.Width + 1, obiektObraz.Height + 1)
        obiektGrafika.Dispose()
    End Sub

    Public Function DodajLiczby(intPierwsza As Integer, ByVal intDruga As Integer) As Long
        Return intPierwsza + intDruga
    End Function


End Module
